# View

- category: Components
- chinese: 视图
- type: Basic

---

## Design
The View is a container component that can be regarded as a UIView on the Native side. It's liked `<div>` in web side, which can be arbitrarily nested.  
**if it has an excess of nested layers, it will cause the page to flash out in android 5.0 or more.**

View has the following default styles that don't need to be repeated in the project：

````js
{
    position: 'relative',
    boxSizing: 'border-box',
    display: 'flex',
    flexDirection: 'column'
}
````

## API

| Attribute | Description    | Type     | Default |
| --------- | -------------- | -------- | ------- |
| style     | style          | object   |
| onClick   | clicking event | Function |

## The Other
- Chat with <a href="dingtalk://dingtalkclient/action/sendmsg?dingtalk_id=kjwo3w5">@翊晨[yichen]</a> in Dingtalk desktop App <a href='https://tms.dingtalk.com/markets/dingtalk/download'>Download</a>
- DingTalk Group

<img src="https://img.alicdn.com/tfs/TB101EESpXXXXXFXpXXXXXXXXXX-1122-1362.jpg" width="260" />
